/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCSSVariablesRule_H__
#define __GdomCSSVariablesRule_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomCSSRule.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCSSVariablesRule GdomCSSVariablesRule;
typedef struct _GdomCSSVariablesRuleClass GdomCSSVariablesRuleClass;


#define GDOM_TYPE_CSS_VARIABLES_RULE            (gdom_css_variables_rule_get_type())
#define GDOM_CSS_VARIABLES_RULE(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CSS_VARIABLES_RULE, GdomCSSVariablesRule))
#define GDOM_CSS_VARIABLES_RULE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CSS_VARIABLES_RULE, GdomCSSVariablesRule)Class)
#define GDOM_IS_CSS_VARIABLES_RULE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CSS_VARIABLES_RULE))
#define GDOM_IS_CSS_VARIABLES_RULE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CSS_VARIABLES_RULE))
#define GDOM_CSS_VARIABLES_RULE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CSS_VARIABLES_RULE, GdomCSSVariablesRuleClass))

typedef struct _GdomCSSVariablesRulePrivate GdomCSSVariablesRulePrivate;

struct _GdomCSSVariablesRule {
    GdomCSSRule parent_instance;
    GdomCSSVariablesRulePrivate *priv;
};

struct _GdomCSSVariablesRuleClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_css_variables_rule_get_type (void);

G_END_DECLS

#endif /* __GdomCSSVariablesRule_H__ */
